import ClientStorageAbstract from "./ClientStorageAbstract";
/**
 * Implementação do Storage para ser usado com React Native
 */
export default class ClientStorageReactNative extends ClientStorageAbstract {
    protected getItem(key: string): Promise<string | null>;
    protected setItem(key: string, data: string): Promise<void>;
    protected removeItem(key: string): Promise<void>;
    keys(): Promise<Array<string>>;
}
