import ClientStorageAbstract from "./ClientStorageAbstract";
/**
 * Implementação do ClienteStore que usa o window.localStorage
 */
export default class ClientStorageWebLocal extends ClientStorageAbstract {
    protected getItem(key: string): Promise<string | null>;
    protected setItem(key: string, data: string): Promise<void>;
    protected removeItem(key: string): Promise<void>;
    keys(): Promise<Array<string>>;
}
