export declare type LogLevel = 'TRACE' | 'DEBUG' | 'INFO' | 'WARN' | 'ERROR' | 'OFF';
/**
 * Biblioteca simples de Log
 */
export default class Logger {
    private static LOGS;
    private static mainLogger;
    static get(name: string): Logger;
    private name;
    private level;
    private levelValue;
    private levelName;
    private constructor();
    trace(...args: any[]): void;
    debug(...args: any[]): void;
    info(...args: any[]): void;
    warn(...args: any[]): void;
    error(...args: any[]): void;
    setLevel(level: LogLevel): void;
    getLevel(): LogLevel;
    isEnabled(level: LogLevel): boolean;
    private log;
    /**
     * https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Errors/Cyclic_object_value
     */
    private getCircularReplacer;
}
