import ClientStorageAbstract from "./ClientStorageAbstract";
/**
 * Implementação do ClienteStore em memória
 */
export default class ClientStorageMemory extends ClientStorageAbstract {
    private ttl;
    private storage;
    constructor(namespace: string, ttl?: number);
    getTTL(key: string): number;
    protected getItem(key: string): Promise<string | null>;
    protected setItem(key: string, data: string): Promise<void>;
    protected removeItem(key: string): Promise<void>;
    keys(): Promise<Array<string>>;
}
